net-misc/siproxd: Remove last-rited pkg
authorMichał Górny <mgorny@gentoo.org>
Sat, 1 Dec 2018 18:15:07 +0000 (19:15 +0100)
committerMichał Górny <mgorny@gentoo.org>
Sat, 1 Dec 2018 18:15:07 +0000 (19:15 +0100)
Closes: https://bugs.gentoo.org/520626
Signed-off-by: Michał Górny <mgorny@gentoo.org>
net-misc/siproxd/Manifest [deleted file]
net-misc/siproxd/files/siproxd-0.8.1-amd64_static_build.patch [deleted file]
net-misc/siproxd/files/siproxd-libtool-2.4.patch [deleted file]
net-misc/siproxd/files/siproxd.rc6 [deleted file]
net-misc/siproxd/files/siproxd.rc8 [deleted file]
net-misc/siproxd/metadata.xml [deleted file]
net-misc/siproxd/siproxd-0.8.0-r3.ebuild [deleted file]
net-misc/siproxd/siproxd-0.8.1-r2.ebuild [deleted file]
profiles/package.mask

diff --git a/net-misc/siproxd/Manifest b/net-misc/siproxd/Manifest
deleted file mode 100644 (file)
index 12cc618..0000000
+++ /dev/null
@@ -1,2 +0,0 @@
-DIST siproxd-0.8.0.tar.gz 824404 BLAKE2B 5a53d80dfcfe81070c73a37de95290bce59a3a7d5aab61ce90da587daf422f87932f26d0007f07d4abefe2526b91db8914bdf1944316e58b99734d89d4918a33 SHA512 eb14a6f7a893e3347d316feedca89c1700e2977b9671da7d77c475993137b049e5caad5254e19dc00f5cb4f0f0c767188cdfb02bb16238dd7b56473886063440
-DIST siproxd-0.8.1.tar.gz 833170 BLAKE2B 8e1ab78b98982140d3987a8383e91e1881e6ddd3645fc47d46747939391a3a0e10d457c10b41a526a478ca0969dd730be40103dc63db19c3593294c3b0070f66 SHA512 b47c7b74b4d3adeb4fd9536f82c014a123a6fcbe508a4982c9e77e53a8c68b05bc32799f57cf749e860b3e1f19f6502dbea561a410975f9f095754748515964f
diff --git a/net-misc/siproxd/files/siproxd-0.8.1-amd64_static_build.patch b/net-misc/siproxd/files/siproxd-0.8.1-amd64_static_build.patch
deleted file mode 100644 (file)
index af491c1..0000000
+++ /dev/null
@@ -1,26 +0,0 @@
---- siproxd-0.8.1/configure.in
-+++ siproxd-0.8.1/configure.in
-@@ -361,8 +361,9 @@
-    dnl link statically to this lib
-    dnl (this probably only will work on linux yet...)
-    AC_MSG_CHECKING("where I can find libosip2.a")
--   libosip_static=`find $extra_libs $libosip_prefix_dir/lib /lib \
--                        /usr/lib /usr/local/lib \
-+   libosip_static=`find $extra_libs $libosip_prefix_dir/lib64 \
-+                      $libosip_prefix_dir/lib /lib64 /lib /usr/lib64 \
-+                        /usr/lib /usr/local/lib64 /usr/local/lib \
-                         -name libosip2.a 2>/dev/null|head -1`
-    if test "x$libosip_static" != "x"; then
-       LIBS="$libosip_static $LIBS"
-@@ -371,8 +372,9 @@
-       echo "*** ERROR: a static libosip library is required!";exit 1;
-    fi
-    AC_MSG_CHECKING("where I can find libosipparser2.a")
--   libosip_static=`find $extra_libs $libosip_prefix_dir/lib /lib \
--                        /usr/lib /usr/local/lib \
-+   libosip_static=`find $extra_libs $libosip_prefix_dir/lib64 \
-+                      $libosip_prefix_dir/lib /lib64 /lib /usr/lib64 \
-+                        /usr/lib /ur/local/lib64 /usr/local/lib \
-                         -name libosipparser2.a 2>/dev/null|head -1`
-    if test "x$libosip_static" != "x"; then
-       LIBS="$libosip_static $LIBS"
diff --git a/net-misc/siproxd/files/siproxd-libtool-2.4.patch b/net-misc/siproxd/files/siproxd-libtool-2.4.patch
deleted file mode 100644 (file)
index 189b320..0000000
+++ /dev/null
@@ -1,13 +0,0 @@
-diff -r -U 2 a/src/plugins.h b/src/plugins.h
---- a/src/plugins.h    2010-01-07 12:44:38.000000000 +0100
-+++ b/src/plugins.h    2010-06-19 13:56:30.960679284 +0200
-@@ -25,4 +25,8 @@
-+#ifndef lt__PROGRAM__LTX_preloaded_symbols
-+#define lt__PROGRAM__LTX_preloaded_symbols lt_libltdl_LTX_preloaded_symbols
-+extern const void *lt_preloaded_symbols[];
-+#endif
-
- /* Plugins must return STS_SUCCESS / SUCCESS_FAILURE */
diff --git a/net-misc/siproxd/files/siproxd.rc6 b/net-misc/siproxd/files/siproxd.rc6
deleted file mode 100644 (file)
index 0ec75e1..0000000
+++ /dev/null
@@ -1,30 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-depend() {
-       need net
-}
-
-check_config() {
-       if [[ ! -f /etc/siproxd.conf ]]; then
-               eerror "Please create /etc/siproxd.conf first!"
-               return 1
-       fi
-       return 0
-}
-
-start() {
-       check_config || return 1
-
-       ebegin "Starting siproxd"
-       start-stop-daemon --start --exec /usr/sbin/siproxd -- \
-               -p /var/run/siproxd/siproxd.pid -c /etc/siproxd.conf
-       eend $?
-}
-
-stop() {
-       ebegin "Stopping siproxd"
-       start-stop-daemon --stop --pidfile /var/run/siproxd/siproxd.pid
-       eend $?
-}
diff --git a/net-misc/siproxd/files/siproxd.rc8 b/net-misc/siproxd/files/siproxd.rc8
deleted file mode 100644 (file)
index 0177830..0000000
+++ /dev/null
@@ -1,21 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-config_file="/etc/siproxd.conf"
-
-pidfile="/var/run/siproxd/siproxd.pid"
-command="/usr/sbin/siproxd"
-command_args="-p ${pidfile} -c ${config_file}"
-
-depend() {
-       need net
-}
-
-start_pre() {
-       if [ ! -f "${config_file}" ] ; then
-               eerror "Please create ${config_file} first!"
-               return 1
-       fi
-       checkpath -q -d ${pidfile%/*} -o siproxd:siproxd
-}
diff --git a/net-misc/siproxd/metadata.xml b/net-misc/siproxd/metadata.xml
deleted file mode 100644 (file)
index 91288ff..0000000
+++ /dev/null
@@ -1,8 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-       <!-- maintainer-needed -->
-       <upstream>
-               <remote-id type="sourceforge">siproxd</remote-id>
-       </upstream>
-</pkgmetadata>
diff --git a/net-misc/siproxd/siproxd-0.8.0-r3.ebuild b/net-misc/siproxd/siproxd-0.8.0-r3.ebuild
deleted file mode 100644 (file)
index bb23065..0000000
+++ /dev/null
@@ -1,108 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="5"
-
-inherit eutils autotools user
-
-DESCRIPTION="A proxy/masquerading daemon for the SIP protocol"
-HOMEPAGE="http://siproxd.sourceforge.net/"
-SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE="examples doc static"
-# TODO: debug can be used but dmalloc is breaking the build
-# upstream has been contacted, see bug 2649238 in their bugtracker
-
-RDEPEND=">=net-libs/libosip-3.0.0
-       <net-libs/libosip-4.0.0"
-#      debug? ( dev-libs/dmalloc[threads] )"
-DEPEND="${RDEPEND}
-       >=sys-devel/libtool-2.4
-       doc? ( app-text/docbook-sgml-utils
-               app-text/docbook-sgml-dtd:4.2 )"
-# docbook-sgml-utils is for building doc
-# docbook-sgml-dtd is for the doc dtd even if docbook-sgml-utils depends on it
-
-pkg_setup() {
-       enewgroup siproxd
-       enewuser siproxd -1 -1 /dev/null siproxd
-}
-
-src_prepare() {
-       default
-
-       # make the daemon run as user 'siproxd' by default
-       sed -i -e "s:nobody:siproxd:" doc/siproxd.conf.example \
-               || die "patching doc/siproxd.conf.example failed"
-       # do not fail when building with external libltdl
-       sed -i 's/libltdl //' Makefile.am || die "patching Makefile failed"
-       epatch "${FILESDIR}/${PN}-libtool-2.4.patch"
-       # do not crash when building with external libltdl, bug 308495
-       sed -i 's|"../libltdl/ltdl.h"|<ltdl.h>|' src/plugins.h || die "patching plugins.h failed"
-
-       eautoreconf
-}
-
-src_configure() {
-       # static-libosip2 make it link statically against libosip2
-       # static build static version of plugins, forced to true
-       econf \
-               $(use_enable doc) \
-               $(use_enable static static-libosip2) \
-               --enable-static
-               #$(use debug && use_enable debug dmalloc) \
-
-       # statically linked plugins to libosip2 causes a shared lib linking with
-       # static lib (gcc seems not to like it : portable issue it says).
-       # there was also DT_TEXREL issue and stripping of static plugins failed
-       # so shared lib has to be used for plugins
-       # upstream has been contacted, see bug 2649351 in their bugtracker
-       if use static; then
-               sed -i -r -e \
-                       "s:LIBS =(.*)( \/[^ ]*libosip[^ ]*\.a)( \/[^ ]*libosip[^ ]*\.a)(.*):LIBS_STATIC =\1\2\3\4\nLIBS = \1\4 -losip2 -losipparser2:" \
-                       src/Makefile || die "patching src/Makefile failed"
-               sed -i -e \
-                       "s:\$(siproxd_LDADD) \$(LIBS):\$(siproxd_LDADD) \$(LIBS_STATIC):" \
-                       src/Makefile || die "patching src/Makefile failed"
-       fi
-}
-
-src_install() {
-       einstall
-
-       newinitd "${FILESDIR}"/${PN}.rc6 ${PN}
-
-       dodoc AUTHORS ChangeLog NEWS README RELNOTES TODO \
-               doc/FAQ doc/FLI4L_HOWTO.txt doc/KNOWN_BUGS
-
-       if use doc; then
-               dodoc doc/RFC3261_compliance.txt
-               # auto-generated doc is not auto-installed
-               # upstream has been contacted, see bug 2649333 in their bugtracker
-               dohtml -r doc/html/
-               # pdf is not build all the time
-               if has_version app-text/docbook-sgml-utils[jadetex]; then
-                       dodoc doc/pdf/*.pdf
-               fi
-       fi
-
-       if use examples; then
-               docinto examples
-               dodoc doc/sample_*.txt
-       fi
-
-       # set up siproxd directories
-       keepdir /var/{lib,run}/${PN}
-       fowners siproxd:siproxd /var/{lib,run}/${PN}
-}
-
-pkg_postinst() {
-       if use static; then
-               elog "static USE flag does not build a _fully_ statically linked binary"
-               elog "only libosip2 and libosipparser2 are statically linked"
-               elog "In addition, plugins are dynamically linked with those libs"
-       fi
-}
diff --git a/net-misc/siproxd/siproxd-0.8.1-r2.ebuild b/net-misc/siproxd/siproxd-0.8.1-r2.ebuild
deleted file mode 100644 (file)
index 664fe43..0000000
+++ /dev/null
@@ -1,109 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-inherit eutils autotools user
-
-DESCRIPTION="A proxy/masquerading daemon for the SIP protocol"
-HOMEPAGE="http://siproxd.sourceforge.net/"
-SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="examples doc static"
-# TODO: debug can be used but dmalloc is breaking the build
-# upstream has been contacted, see bug 2649238 in their bugtracker
-
-RDEPEND=">=net-libs/libosip-3.0.0
-       <net-libs/libosip-4.0.0"
-#      debug? ( dev-libs/dmalloc[threads] )"
-DEPEND="${RDEPEND}
-       >=sys-devel/libtool-2.4
-       doc? ( app-text/docbook-sgml-utils
-               app-text/docbook-sgml-dtd:4.2 )"
-# docbook-sgml-utils is for building doc
-# docbook-sgml-dtd is for the doc dtd even if docbook-sgml-utils depends on it
-
-pkg_setup() {
-       enewgroup siproxd
-       enewuser siproxd -1 -1 /dev/null siproxd
-}
-
-src_prepare() {
-       # make the daemon run as user 'siproxd' by default
-       sed -i -e "s:nobody:siproxd:" doc/siproxd.conf.example \
-               || die "patching doc/siproxd.conf.example failed"
-       # do not fail when building with external libltdl
-       sed -i 's/libltdl //' Makefile.am || die "patching Makefile failed"
-       epatch "${FILESDIR}/${PN}-libtool-2.4.patch"
-       # do not crash when building with external libltdl, bug 308495
-       sed -i 's|"../libltdl/ltdl.h"|<ltdl.h>|' src/plugins.h || die "patching plugins.h failed"
-
-       epatch "${FILESDIR}/${PN}-0.8.1-amd64_static_build.patch" #380835
-
-       eautoreconf
-}
-
-src_configure() {
-       # static-libosip2 make it link statically against libosip2
-       # static build static version of plugins, forced to true
-       econf \
-               $(use_enable doc) \
-               $(use_enable static static-libosip2) \
-               $(use_enable !static shared) \
-               --enable-static
-               #$(use debug && use_enable debug dmalloc) \
-
-       # statically linked plugins to libosip2 causes a shared lib linking with
-       # static lib (gcc seems not to like it : portable issue it says).
-       # there was also DT_TEXREL issue and stripping of static plugins failed
-       # so shared lib has to be used for plugins
-       # upstream has been contacted, see bug 2649351 in their bugtracker
-       if use static; then
-               sed -i -r -e \
-                       "s:LIBS =(.*)( \/[^ ]*libosip[^ ]*\.a)( \/[^ ]*libosip[^ ]*\.a)(.*):LIBS_STATIC =\1\2\3\4\nLIBS = \1\4 -losip2 -losipparser2:" \
-                       src/Makefile || die "patching src/Makefile failed"
-               sed -i -e \
-                       "s:\$(siproxd_LDADD) \$(LIBS):\$(siproxd_LDADD) \$(LIBS_STATIC):" \
-                       src/Makefile || die "patching src/Makefile failed"
-       fi
-}
-
-src_install() {
-       default
-
-       newinitd "${FILESDIR}"/${PN}.rc8 ${PN}
-
-       dodoc AUTHORS ChangeLog NEWS README RELNOTES TODO \
-               doc/FAQ doc/FLI4L_HOWTO.txt doc/KNOWN_BUGS
-
-       if use doc; then
-               dodoc doc/RFC3261_compliance.txt
-               # auto-generated doc is not auto-installed
-               # upstream has been contacted, see bug 2649333 in their bugtracker
-               dohtml -r doc/html/
-               # pdf is not build all the time
-               if has_version 'app-text/docbook-sgml-utils[jadetex]' ; then
-                       dodoc doc/pdf/*.pdf
-               fi
-       fi
-
-       if use examples; then
-               docinto examples
-               dodoc doc/sample_*.txt
-       fi
-
-       # set up siproxd directories
-       keepdir /var/lib/${PN}
-       fowners siproxd:siproxd /var/lib/${PN}
-}
-
-pkg_postinst() {
-       if use static; then
-               elog "static USE flag does not build a _fully_ statically linked binary"
-               elog "only libosip2 and libosipparser2 are statically linked"
-               elog "In addition, plugins are dynamically linked with those libs"
-       fi
-}
index 3b78e581a09ca1fbdf648256d731cedf80bfad6f..e8aeb523c8db87c6fcfe1914972feacbe6cc6d04 100644 (file)
@@ -486,11 +486,6 @@ net-analyzer/nagvis
 # Removal in a month.
 media-plugins/alsaequal
 
-# Pacho Ramos <pacho@gentoo.org> (01 Nov 2018)
-# Unmaintained, installs files in runtime dirs (#520626), requires old
-# libosip. Removal in a month.
-net-misc/siproxd
-
 # Pacho Ramos <pacho@gentoo.org> (01 Nov 2018)
 # All this packages are broken and need major version bumps to fix them. See
 # bug #504114, #486510, #510550, #511096, #517260, #551784, #616490, #